POST api/partner/read
Метод возвращает просмотршик для чтения ЭПД
Request Information
URI Parameters
None.
Body Parameters
Body| Name | Description | Type | Additional information |
|---|---|---|---|
| PartnerId |
Идентификатор клиента |
globally unique identifier |
None. |
| User |
Пользователь |
UserModel |
None. |
| Order |
Модель заказа |
OrderModel |
None. |
| Read |
Модель для чтения |
ReadModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"partnerId": "62962747-b8c2-49e8-80c7-955b377e461d",
"user": {
"id": 1,
"email": {
"address": "sample string 1",
"isApproved": true
}
},
"order": {
"id": "ced2f3b1-cf20-4834-9e08-d6e4a2a32e4e",
"identifiers": [
1,
2
]
},
"read": {
"orderId": "57ae22a3-21c9-48d1-b20a-96da1382e114",
"eId": 2
}
}
application/xml, text/xml
Sample:
<PartnerController.Body xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RucontAPI.Controllers">
<Order>
<Id>ced2f3b1-cf20-4834-9e08-d6e4a2a32e4e</Id>
<Identifiers xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:long>1</d3p1:long>
<d3p1:long>2</d3p1:long>
</Identifiers>
</Order>
<PartnerId>62962747-b8c2-49e8-80c7-955b377e461d</PartnerId>
<Read>
<EId>2</EId>
<OrderId>57ae22a3-21c9-48d1-b20a-96da1382e114</OrderId>
</Read>
<User>
<Email>
<Address>sample string 1</Address>
<IsApproved>true</IsApproved>
</Email>
<Id>1</Id>
</User>
</PartnerController.Body>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
RedirectResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Location | URI |
None. |
|
| Request | HttpRequestMessage |
None. |
Response Formats
application/json, text/json, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel
Sample:
Sample not available.